#include "ChainLinkableComponent.h"
#include "Net/UnrealNetwork.h"
#include "BaseCameraTargetingStrategy.h"

void UChainLinkableComponent::OnRep_OwningKiller()
{

}

void UChainLinkableComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UChainLinkableComponent, _owningKiller);
	DOREPLIFETIME(UChainLinkableComponent, _isLinkedLingering);
	DOREPLIFETIME(UChainLinkableComponent, _movementStatusEffect);
}

UChainLinkableComponent::UChainLinkableComponent()
{
	this->_cameraTargetingStrategyClass = UBaseCameraTargetingStrategy::StaticClass();
	this->_movementStatusEffectClass = NULL;
	this->_linkedStatusEffectClass = NULL;
}
